#include "HepODBMS/tagdb/HepExplorableTags.h"
#include "AtlasProd.h"

implement (HepVArray,AtlasProdParticle);

HepHintInit(AtlasProdEvent);
HepHintInit(AtlasProdTag);

// Register tag description
int AtlasProdTag::checkDescr() {
  int retval = 1;
  HepExplorableTags et;
  HepExplorable *cd = HepExplorable::findExplorable("AtlasProdTag");
  if (!cd) { // Don't create the description twice
    cout << "Creating AtlasProdTag description" << endl;
    if (et.createDescription("AtlasProdTag",& AtlasProdTag::clustering)) {
      et.registerField("idrun",FieldOffset(AtlasProdTag,idrun),"d_Long") ;
      et.registerField("idevnt",FieldOffset(AtlasProdTag,idevnt),"d_Long") ;
      et.registerField("itrflag",FieldOffset(AtlasProdTag,itrflag),"d_Long") ;
      et.registerField("ISUB",FieldOffset(AtlasProdTag,ISUB),"d_Long") ;
      et.registerField("Nhard",FieldOffset(AtlasProdTag,Nhard),"d_Long") ;
      et.registerField("Npart",FieldOffset(AtlasProdTag,Npart),"d_Short") ;
      et.registerField("vvx",FieldOffset(AtlasProdTag,vvx),"d_Float") ;
      et.registerField("vvy",FieldOffset(AtlasProdTag,vvy),"d_Float") ;
      et.registerField("vvz",FieldOffset(AtlasProdTag,vvz),"d_Float") ;
    } else  {
      cerr << "could not create tag description in createUserTag()" << endl;
      retval = 0;
    }
  } else {
    delete cd;
  }
  return retval;
}


